Bug 967816 - Review Request: maven-hpi-plugin - Maven plugin to build Jenkins plugins
Review Request: maven-hpi-plugin - Maven plugin to build Jenkins plugins
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On: 967807
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 07:29 EDT by Michal Srb
Modified: 2013-05-31 02:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-31 02:02:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Srb 2013-05-28 07:29:56 EDT
Spec URL: http://msrb.fedorapeople.org/review/maven-hpi-plugin.spec
SRPM URL: http://msrb.fedorapeople.org/review/maven-hpi-plugin-1.95-1.fc20.src.rpm
Description: This package contains Apache Maven plugin for developing
plugins for Jenkins.
Fedora Account System Username: msrb
Comment 1 gil cattaneo 2013-05-28 21:14:36 EDT
would like to take this review
Comment 2 gil cattaneo 2013-05-29 17:56:50 EDT
Manual review, cause: Error: No package found for mvn(org.kohsuke.stapler: stapler-groovy)


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
  IGNORE

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in maven-hpi-
     plugin-javadoc
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Apache (v2.0)", "Unknown or generated". 18 files
     have unknown license. Detailed output of licensecheck in /home/gil/967816
     -maven-hpi-plugin/review-maven-hpi-plugin/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock. 
IGNORE
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
IGNORE
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.32 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.32
INFO: Mock Version: 1.1.32
Start: lock buildroot
INFO: installing package(s): /home/gil/967816-maven-hpi-plugin/maven-hpi-plugin-1.95-1.fc20.noarch.rpm /home/gil/967816-maven-hpi-plugin/maven-hpi-plugin-javadoc-1.95-1.fc20.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-18-i386/root/', 'install', '/home/gil/967816-maven-hpi-plugin/maven-hpi-plugin-1.95-1.fc20.noarch.rpm', '/home/gil/967816-maven-hpi-plugin/maven-hpi-plugin-javadoc-1.95-1.fc20.noarch.rpm', '--setopt=tsflags=nocontexts']
http://ftp.itu.edu.tr/Mirror/Fedora/linux/updates/18/i386/repodata/3604e772a41a317b0db4be7366c2e9a51767819e9a9bc716ce5b288b2666c4f6-filelists.sqlite.bz2: [Errno 12] Timeout on http://ftp.itu.edu.tr/Mirror/Fedora/linux/updates/18/i386/repodata/3604e772a41a317b0db4be7366c2e9a51767819e9a9bc716ce5b288b2666c4f6-filelists.sqlite.bz2: (28, 'Operation too slow. Less than 1000 bytes/sec transferred the last 30 seconds')
Connessione ad un altro mirror in corso.
http://linus.iyte.edu.tr/linux/fedora/linux/updates/18/i386/repodata/3604e772a41a317b0db4be7366c2e9a51767819e9a9bc716ce5b288b2666c4f6-filelists.sqlite.bz2: [Errno 12] Timeout on http://linus.iyte.edu.tr/linux/fedora/linux/updates/18/i386/repodata/3604e772a41a317b0db4be7366c2e9a51767819e9a9bc716ce5b288b2666c4f6-filelists.sqlite.bz2: (28, 'Operation too slow. Less than 1000 bytes/sec transferred the last 30 seconds')
Connessione ad un altro mirror in corso.
Errore: Pacchetto: maven-hpi-plugin-1.95-1.fc20.noarch (/maven-hpi-plugin-1.95-1.fc20.noarch)
            Richiede: mvn(org.jenkins-ci:version-number)
Errore: Pacchetto: maven-hpi-plugin-1.95-1.fc20.noarch (/maven-hpi-plugin-1.95-1.fc20.noarch)
            Richiede: mvn(net.java.sezpoz:sezpoz)
Errore: Pacchetto: maven-hpi-plugin-1.95-1.fc20.noarch (/maven-hpi-plugin-1.95-1.fc20.noarch)
            Richiede: mvn(org.kohsuke.stapler:stapler-groovy)
 Si può provare ad usare --skip-broken per aggirare il problema
 Provare ad eseguire: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: maven-hpi-plugin-1.95-1.fc20.noarch.rpm
          maven-hpi-plugin-javadoc-1.95-1.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Requires
--------
maven-hpi-plugin (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(com.sun.codemodel:codemodel)
    mvn(net.java.sezpoz:sezpoz)
    mvn(org.apache.maven.plugins:maven-archetype-plugin)
    mvn(org.apache.maven:maven-archiver)
    mvn(org.apache.maven:maven-artifact)
    mvn(org.apache.maven:maven-plugin-api)
    mvn(org.apache.maven:maven-project)
    mvn(org.codehaus.plexus:plexus-interactivity-api)
    mvn(org.codehaus.plexus:plexus-utils)
    mvn(org.jenkins-ci:version-number)
    mvn(org.kohsuke.stapler:stapler-groovy)

maven-hpi-plugin-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
maven-hpi-plugin:
    maven-hpi-plugin
    mvn(org.jenkins-ci.tools:maven-hpi-plugin)

maven-hpi-plugin-javadoc:
    maven-hpi-plugin-javadoc



Source checksums
----------------
https://github.com/jenkinsci/maven-hpi-plugin/archive/maven-hpi-plugin-1.95.tar.gz :
  CHECKSUM(SHA256) this package     : cc3e0a4e584ef3bee0596f1e63d4a318bdaf2bab18a149924a04e6f9a3af6789
  CHECKSUM(SHA256) upstream package : cc3e0a4e584ef3bee0596f1e63d4a318bdaf2bab18a149924a04e6f9a3af6789
http://www.apache.org/licenses/LICENSE-2.0.txt :
  CHECKSUM(SHA256) this package     : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
  CHECKSUM(SHA256) upstream package : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-i386
Command line :/usr/bin/fedora-review -vpn maven-hpi-plugin


there is a new release
https://github.com/jenkinsci/maven-hpi-plugin/archive/maven-hpi-plugin-1.96.tar.gz
consider upgrading
Comment 3 Michal Srb 2013-05-30 09:32:25 EDT
Thanks for the review,

> 
> there is a new release
> https://github.com/jenkinsci/maven-hpi-plugin/archive/maven-hpi-plugin-1.96.
> tar.gz
> consider upgrading

and thanks for this info. Will do.


New Package SCM Request
=======================
Package Name: maven-hpi-plugin
Short Description: Maven plugin to build Jenkins plugins
Owners: msrb sochotni mizdebsk tradej
Branches: f19
InitialCC: java-sig
Comment 4 Gwyn Ciesla 2013-05-30 09:59:33 EDT
Git done (by process-git-requests).
Comment 5 Michal Srb 2013-05-31 02:02:44 EDT
The package is now available in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.